PluginMetaManager (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins

## [Java] Interface PluginMetaManager

- org.codehaus.groovy.grails.plugins.PluginMetaManager

- All Superinterfaces:
    PluginManagerAware

  Enables the evaluation of Plug-in Metadata supplied by the plug-ins plugin.xml file.

  Authors:
    Graeme Rocher
  Since:
    0.6

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `BEAN_ID` | Id of the bean in the app ctx

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GrailsPlugin` | `getPluginForResource(java.lang.String name)` Obtains a plug-in instance from the pluginManager for the given resource name.
    `java.lang.String` | `getPluginPathForResource(java.lang.String resourceName)` Obtains the path to the plug-in for the given resource.
    `java.lang.String[]` | `getPluginResources(java.lang.String pluginName)` Retrieves all the plugin resource names for the given plugin name.
    `java.lang.String` | `getPluginViewsPathForResource(java.lang.String resourceName)` Obtains the path to the plug-in views directory for the given resource name.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface PluginManagerAware` | `setPluginManager`

- - ### Field Detail

    - #### public java.lang.String BEAN_ID

      Id of the bean in the app ctx

  - ### Method Detail

    - #### public GrailsPlugin getPluginForResource(java.lang.String name)

      Obtains a plug-in instance from the pluginManager for the given resource name.

      Parameters:
        `name` - The name of the resource
      Returns:
        A GrailsPlugin instance or null

    - #### public java.lang.String getPluginPathForResource(java.lang.String resourceName)

      Obtains the path to the plug-in for the given resource.

      Parameters:
        `resourceName` - The name of the resource
      Returns:
        The path to the plug-in or null if it doesn't exist

    - #### public java.lang.String[] getPluginResources(java.lang.String pluginName)

      Retrieves all the plugin resource names for the given plugin name.

      Parameters:
        `pluginName` - The plugin name
      Returns:
        An array of plugin resource names

    - #### public java.lang.String getPluginViewsPathForResource(java.lang.String resourceName)

      Obtains the path to the plug-in views directory for the given resource name.

      Parameters:
        `resourceName` - The resource name
      Returns:
        The path to the plug-in views directory or null if the plug-in doesn't exist